FROM debian:stable-slim

ENV NUGET_VERSION=v6.5.0

RUN apt-get update
RUN apt-get install -y --no-install-recommends \
    bash \
    wget \
    mono-complete \
    tzdata

RUN apt-get clean
RUN rm -rf /var/lib/apt/lists/*

RUN wget https://dist.nuget.org/win-x86-commandline/$NUGET_VERSION/nuget.exe -O /usr/bin/nuget.exe
RUN chmod +x /usr/bin/nuget.exe

COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh
ENTRYPOINT ["/entrypoint.sh"]